package ResultSet;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.sql.DatabaseMetaData;

public class DefaultResultSetType {

	public static void main(String[] args) {
		Connection connection = null;
	    String url = "jdbc:mysql://localhost:3306/";
	    String dbName = "roseindia_jdbc_tutorials";
	    String driverName = "com.mysql.jdbc.Driver";
	    String userName = "root";
	    String password = "root";
	    
	    try {
	    	Class.forName(driverName).newInstance();
		    connection = DriverManager.getConnection(url+dbName, userName, password);

		    Statement stmt = connection.createStatement();
		    DatabaseMetaData meta = connection.getMetaData();
	       	
	        ResultSet res = stmt.executeQuery("SELECT * FROM user");
	        
	        if (meta.supportsResultSetType(ResultSet.TYPE_FORWARD_ONLY)) {
	            System.out.println("Default ResultSet Type Name : TYPE_FORWARD_ONLY");
	        }
	        if (meta.supportsResultSetType(ResultSet.TYPE_SCROLL_INSENSITIVE)) {
	           System.out.println("Default ResultSet Type Name : TYPE_SCROLL_INSENSITIVE");
	        }
	        if (meta.supportsResultSetType(ResultSet.TYPE_SCROLL_SENSITIVE)) {
	           System.out.println("Default ResultSet Type Name : TYPE_SCROLL_SENSITIVE");
	        }	
	        
	         res.close();
		     stmt.close();
		     connection.close();
		    } catch (Exception e) {
		      System.err.println("Exception: "+ e.getMessage());
		    }
		
	}

}
